### Struct

# GtkExpressionWatch

#### Description [src]

    struct GtkExpressionWatch {
      /* No available fields */
    }

An opaque structure representing a watched `GtkExpression`.

The contents of `GtkExpressionWatch` should only be accessed through the provided API.

#### Instance methods

###### gtk_expression_watch_evaluate

Evaluates the watched expression and on success stores the result in `value`.

###### gtk_expression_watch_ref

Acquires a reference on the given `GtkExpressionWatch`.

###### gtk_expression_watch_unref

Releases a reference on the given `GtkExpressionWatch`.

###### gtk_expression_watch_unwatch

Stops watching an expression.